<!DOCTYPE html>
<html>
<head>
    <% include blocks/head.ejs %>
    <title>MyBlog</title>
</head>
<body>
    <% include blocks/header-part1.ejs %>
    <% include blocks/header-part2.ejs %>
    <div class="content">
        <div class="headerdown"></div>
        <div class="bodycontent">
            <h2>Лента статей</h2>
            <% for (var i = n; i >= 1; i--) { %>
                <div class="div-article">
                    <a class="grid-link"    href="/article/<%= i %>">
                        <% if (obj[i].img == 0) { %>
                            <div class="grid-text">
                                <h3>|<%= obj[i].title; %>|</h3>
                                <% if (obj[i].text.length > 1000) { %>
                                    <% var arr = obj[i].text.substr(0, 1000) + "..."; %>
                                    <% var arr = arr.split("\r\n"); %>
                                    <% arr.forEach(function(item) { %>
                                        <% if (item.indexOf("/h") == 0) { %>
                                            <h4><%= item.substr(2) %></h4>
                                        <% } else { %>
                                            <p><%= item %></p>
                                        <% }; %>
                                    <% }); %>
                                <% } else { %>
                                    <% var arr = obj[i].text.split("\r\n"); %>
                                    <% arr.forEach(function(item) { %>
                                        <% if (item.indexOf("/h") == 0) { %>
                                            <h4><%= item.substr(2) %></h4>
                                        <% } else { %>
                                            <p><%= item %></p>
                                        <% }; %>
                                    <% }); %> 
                                <% }; %>
                            </div>
                        <% } else { %>
                            <img src="public/uploads/img<%= i %>.png" class="grid-img">
                            <div class="grid-text-img">
                                <h3>|<%= obj[i].title %>|</h3>
                                <% if (obj[i].text.length > 500) { %>
                                    <% var arr = obj[i].text.substr(0, 500) + "..."; %>
                                    <% var arr = arr.split("\r\n"); %>
                                    <% arr.forEach(function(item) { %>
                                        <% if (item.indexOf("/h") == 0) { %>
                                            <h4><%= item.substr(2) %></h4>
                                        <% } else { %>
                                            <p><%= item %></p>
                                        <% }; %>
                                    <% }); %>
                                <% } else { %>
                                    <% var arr = obj[i].text.split("\r\n"); %>
                                    <% arr.forEach(function(item) { %>
                                        <% if (item.indexOf("/h") == 0) { %>
                                            <h4><%= item.substr(2) %></h4>
                                        <% } else { %>
                                            <p><%= item %></p>
                                        <% }; %>
                                    <% }); %> 
                                <% }; %>
                            </a>
                        </div>
                    <% }; %>                       
                </div>
            <% }; %>
        </div>
    </div>

    <script>
        $('.del-toggle').on('click', function(){
        $('#del').toggleClass('active');
        });
    </script>
</body>
</html>
